DROP TABLE IF EXISTS pw_members;
CREATE TABLE pw_members (
uid mediumint(8) unsigned NOT NULL auto_increment,
username varchar(15) NOT NULL default '',
password varchar(40) NOT NULL default '',
email varchar(60) NOT NULL default '',
publicmail tinyint(1) NOT NULL default '0',
groupid tinyint(3) NOT NULL default '-1',
memberid tinyint(3) NOT NULL default '0',
icon varchar(100) NOT NULL default '',
gender tinyint(1) NOT NULL default '0',
regdate int(10) unsigned NOT NULL default '0',
signature text NOT NULL,
introduce text NOT NULL,
oicq varchar(12) NOT NULL default '',
icq varchar(12) NOT NULL default '',
msn varchar(35) NOT NULL default '',
yahoo varchar(35) NOT NULL default '',
site varchar(75) NOT NULL default '',
location varchar(36) NOT NULL default '',
honor varchar(30) NOT NULL default '',
postnum int(10) unsigned NOT NULL default '0',
rvrc int(10) NOT NULL default '0',
money int(10) NOT NULL default '0',
credit int(10) NOT NULL default '0',
lastvisit int(10) unsigned NOT NULL default '0',
thisvisit int(10) unsigned NOT NULL default '0',
bday date NOT NULL default '0000-00-00',
receivemail tinyint(1) NOT NULL default '0',
lastpost int(10) unsigned NOT NULL default '0',
lastaddrst varchar(255) NOT NULL default '',
yz int(10) NOT NULL default '1',
todaypost smallint(6) unsigned NOT NULL default '0',
timedf smallint(6) NOT NULL default '0',
style varchar(12) NOT NULL default '',
datefm varchar( 15 ) NOT NULL  default '',
t_num tinyint( 3 ) UNSIGNED NOT NULL  default '0',
p_num tinyint( 3 ) UNSIGNED NOT NULL default '0',
onlineip varchar(50) NOT NULL default '',
attach  varchar(50) NOT NULL default '',
hack varchar(255) NOT NULL default '0',
onlinetime int(10) unsigned NOT NULL default '0',
signchange tinyint(1) NOT NULL default '0',
newpm tinyint(1) NOT NULL default '0',
banpm TEXT NOT NULL ,
PRIMARY KEY  (uid),
KEY username (username)
);

DROP TABLE IF EXISTS pw_msg;
CREATE TABLE pw_msg (
mid INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
touid MEDIUMINT( 8 ) UNSIGNED NOT NULL,
fromuid MEDIUMINT( 8 ) UNSIGNED NOT NULL,
username VARCHAR( 15 ) NOT NULL,
type ENUM( 'rebox', 'sebox' ) default 'rebox' NOT NULL ,
ifnew tinyint(1) default '0' NOT NULL ,
title VARCHAR(130) NOT NULL ,
mdate INT(10) UNSIGNED default '0' NOT NULL ,
content TEXT NOT NULL ,
PRIMARY KEY  (mid),
KEY touid (touid),
KEY fromuid (fromuid)
);

DROP TABLE IF EXISTS pw_usergroups;
CREATE TABLE pw_usergroups (
gid tinyint(3) unsigned NOT NULL auto_increment,
gptype ENUM( 'default', 'member', 'system', 'special' ) default 'member' NOT NULL,
grouptitle varchar(30) NOT NULL default '',
groupimg varchar(15) NOT NULL default '',
grouppost int(10) NOT NULL default '0',
maxmsg int(10) NOT NULL default '10',
allowhide tinyint(1) NOT NULL default '0',
allowread tinyint(1) NOT NULL default '0',
allowportait tinyint(1) NOT NULL default '0',
upload TINYINT( 1 ) NOT NULL default '0',
allowrp tinyint(1) NOT NULL default '0',
allowhonor tinyint(1) NOT NULL default '0',
allowdelatc tinyint(1) NOT NULL default '0',
allowpost tinyint(1) NOT NULL default '0',
allownewvote tinyint(1) NOT NULL default '0',
allowvote tinyint(1) NOT NULL default '0',
htmlcode tinyint(1) NOT NULL default '0',
allowhidden tinyint(1) NOT NULL default '0',
allowencode tinyint(1) NOT NULL default '0',
allowsell tinyint(1) NOT NULL default '0',
allowsearch tinyint(1) NOT NULL default '0',
allowmember tinyint(1) NOT NULL default '0',
allowmessege tinyint(1) NOT NULL default '0',
allowsort tinyint(1) NOT NULL default '0',
alloworder tinyint(1) NOT NULL default '0',
allowupload tinyint(1) NOT NULL default '0',
allowdownload tinyint(1) NOT NULL default '0',
allowloadrvrc tinyint(1) NOT NULL default '0',
allownum int(10) NOT NULL default '10',
edittime mediumint(6) NOT NULL default '0',
postpertime mediumint(6) NOT NULL default '0',
searchtime mediumint(6) NOT NULL default '0',
signnum mediumint(6) NOT NULL default '0',
uploadmoney mediumint(6) NOT NULL default '0',
ifdefault tinyint(1) unsigned NOT NULL default '1',
allowadmincp tinyint(1) default '0' NOT NULL ,
visithide tinyint(1) default '0' NOT NULL ,
delatc tinyint(1) default '0' NOT NULL ,
moveatc tinyint(1) default '0' NOT NULL ,
copyatc tinyint(1) default '0' NOT NULL ,
typeadmin tinyint(1) default '0' NOT NULL ,
viewcheck tinyint(1) default '0' NOT NULL ,
viewclose tinyint(1) default '0' NOT NULL ,
attachper tinyint(1) default '0' NOT NULL ,
delattach tinyint(1) default '0' NOT NULL ,
viewip tinyint(1) default '0' NOT NULL ,
markable tinyint(1) default '0' NOT NULL ,
maxcredit smallint(6) default '0' NOT NULL ,
credittype CHAR( 255 ) NOT NULL,
creditlimit CHAR( 30 ) NOT NULL,
banuser tinyint(1) default '0' NOT NULL ,
bantype tinyint(1) default '0' NOT NULL ,
banmax mediumint(6) NOT NULL default '0',
viewhide TINYINT( 1 ) NOT NULL,
postpers tinyint(1) default '0' NOT NULL ,
atccheck tinyint(1) default '0' NOT NULL ,
replylock tinyint(1) default '0' NOT NULL ,
modown tinyint(1) default '0' NOT NULL ,
modother tinyint(1) default '0' NOT NULL ,
deltpcs tinyint(1) default '0' NOT NULL ,
PRIMARY KEY  (gid),
KEY gptype (gptype),
KEY grouppost (grouppost)
);

INSERT INTO pw_usergroups SET gid='1', gptype='default',grouptitle='default',     groupimg='8', grouppost='0'	 ,maxmsg='10' , allowhide='0' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='1' , allowvote='1' ,allowhidden='1' ,allowencode='1' ,allowsell='1' ,allowsearch='1' , allowmember='1' , allowmessege='1' ,allowsort='0' ,alloworder='0' , allowupload='1' , allowdownload='1', allowloadrvrc='1' , allownum='10' , edittime='0' , postpertime='10' , searchtime='10',signnum='200',uploadmoney = '0', ifdefault='1' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0';
INSERT INTO pw_usergroups SET gid='2', gptype='default',grouptitle='{#level_1}',  groupimg='8', grouppost='0'	 ,maxmsg='0'  , allowhide='0' , allowread='1' , allowportait='0' , allowrp='1' ,allowhonor='0' , allowdelatc='0' , allowpost='0' , allownewvote='0' , allowvote='0' ,allowhidden='0' ,allowencode='0' ,allowsell='0' ,allowsearch='0' , allowmember='0' , allowmessege='0' ,allowsort='0' ,alloworder='0' , allowupload='0' , allowdownload='0', allowloadrvrc='1' , allownum='0' ,  edittime='0' , postpertime='10' , searchtime='10',signnum='0' , uploadmoney = '0', ifdefault='0' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0';
INSERT INTO pw_usergroups SET gid='3', gptype='system', grouptitle='{#level_3}',  groupimg='3', grouppost='0'	 ,maxmsg='30' , allowhide='1' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='1' , allowdelatc='1' , allowpost='1' , allownewvote='1' , allowvote='1' ,allowhidden='1' ,allowencode='1' ,allowsell='1' ,allowsearch='2' , allowmember='1' , allowmessege='1' ,allowsort='1' ,alloworder='1' , allowupload='1' , allowdownload='1', allowloadrvrc='1' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='0' , allowadmincp='1' , visithide ='1', delatc='1' ,moveatc='1' , copyatc='1' , typeadmin='1' , viewcheck='1' , viewclose='1' , attachper='1' ,delattach='1' , viewip='1' , markable='1' , maxcredit='100',credittype=',rvrc,money,credit,1,',   creditlimit='-10,10', viewhide='1', postpers='1' , atccheck='1' , replylock='1' , modown='1' , modother='1' , deltpcs='1',banuser='1',  bantype='1',  banmax ='30',upload='1',htmlcode='1';
INSERT INTO pw_usergroups SET gid='4', gptype='system', grouptitle='{#level_4}',  groupimg='4', grouppost='0'	 ,maxmsg='20' , allowhide='1' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='1' ,allowencode='1' ,allowsell='1' ,allowsearch='2' , allowmember='1' , allowmessege='1' ,allowsort='1' ,alloworder='1' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='0' , allowadmincp='1' , visithide ='0', delatc='1' ,moveatc='1' , copyatc='1' , typeadmin='1' , viewcheck='1' , viewclose='1' , attachper='1' ,delattach='1' , viewip='1' , markable='1' , maxcredit='50' ,credittype=',rvrc,money,credit,1,',   creditlimit='-5,5',   viewhide='1', postpers='1' , atccheck='1' , replylock='1' , modown='1' , modother='1' , deltpcs='1',banuser='1',  bantype='0',  banmax ='20',upload='1';
INSERT INTO pw_usergroups SET gid='5', gptype='system', grouptitle='{#level_5}',  groupimg='5', grouppost='0'	 ,maxmsg='15' , allowhide='1' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='1' ,allowencode='1' ,allowsell='1' ,allowsearch='2' , allowmember='1' , allowmessege='1' ,allowsort='1' ,alloworder='1' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='0' , allowadmincp='1' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='30' ,credittype=',rvrc,money,credit,1,',   creditlimit='-3,3',   viewhide='1', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0',banuser='1',  bantype='0',  banmax ='10',upload='1';
INSERT INTO pw_usergroups SET gid='6', gptype='system', grouptitle='{#level_6}',  groupimg='8', grouppost='0'	 ,maxmsg='10' , allowhide='0' , allowread='1' , allowportait='0' , allowrp='0' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='0' ,allowencode='0' ,allowsell='0' ,allowsearch='1' , allowmember='1' , allowmessege='1' ,allowsort='0' ,alloworder='0' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='1' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0';
INSERT INTO pw_usergroups SET gid='7', gptype='system', grouptitle='{#level_7}',  groupimg='8', grouppost='0'	 ,maxmsg='10' , allowhide='0' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='0' ,allowencode='0' ,allowsell='0' ,allowsearch='1' , allowmember='1' , allowmessege='1' ,allowsort='0' ,alloworder='0' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='1' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0';
INSERT INTO pw_usergroups SET gid='8', gptype='member', grouptitle='{#level_8}',  groupimg='8', grouppost='0'	 ,maxmsg='10' , allowhide='0' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='0' ,allowencode='0' ,allowsell='0' ,allowsearch='1' , allowmember='1' , allowmessege='1' ,allowsort='0' ,alloworder='0' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='1' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0';
INSERT INTO pw_usergroups SET gid='9', gptype='member', grouptitle='{#level_9}',  groupimg='9', grouppost='100'	 ,maxmsg='10' , allowhide='0' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='0' ,allowencode='1' ,allowsell='0' ,allowsearch='1' , allowmember='1' , allowmessege='1' ,allowsort='0' ,alloworder='0' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='1' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0';
INSERT INTO pw_usergroups SET gid='10',gptype='member', grouptitle='{#level_10}', groupimg='10',grouppost='200'	 ,maxmsg='10' , allowhide='0' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='1' ,allowencode='1' ,allowsell='0' ,allowsearch='1' , allowmember='1' , allowmessege='1' ,allowsort='0' ,alloworder='0' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='1' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0';
INSERT INTO pw_usergroups SET gid='11',gptype='member', grouptitle='{#level_11}', groupimg='11',grouppost='500'	 ,maxmsg='10' , allowhide='0' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='1' ,allowencode='1' ,allowsell='1' ,allowsearch='1' , allowmember='1' , allowmessege='1' ,allowsort='0' ,alloworder='0' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='1' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0',upload='1';
INSERT INTO pw_usergroups SET gid='12',gptype='member', grouptitle='{#level_12}', groupimg='12',grouppost='1000' ,maxmsg='10' , allowhide='0' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='1' ,allowencode='1' ,allowsell='1' ,allowsearch='1' , allowmember='1' , allowmessege='1' ,allowsort='0' ,alloworder='0' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='1' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0',upload='1';
INSERT INTO pw_usergroups SET gid='13',gptype='member', grouptitle='{#level_13}', groupimg='13',grouppost='1500' ,maxmsg='10' , allowhide='0' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='1' ,allowencode='1' ,allowsell='1' ,allowsearch='1' , allowmember='1' , allowmessege='1' ,allowsort='0' ,alloworder='0' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='1' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0',upload='1';
INSERT INTO pw_usergroups SET gid='14',gptype='member', grouptitle='{#level_14}', groupimg='14',grouppost='3000' ,maxmsg='10' , allowhide='0' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='1' ,allowencode='1' ,allowsell='1' ,allowsearch='1' , allowmember='1' , allowmessege='1' ,allowsort='0' ,alloworder='0' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='1' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0',upload='1';
INSERT INTO pw_usergroups SET gid='15',gptype='member', grouptitle='{#level_15}', groupimg='15',grouppost='10000',maxmsg='10' , allowhide='0' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='1' ,allowencode='1' ,allowsell='1' ,allowsearch='1' , allowmember='1' , allowmessege='1' ,allowsort='0' ,alloworder='0' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='1' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0',upload='1';
INSERT INTO pw_usergroups SET gid='16',gptype='special',grouptitle='{#level_16}', groupimg='5', grouppost='0'    ,maxmsg='20' , allowhide='0' , allowread='1' , allowportait='1' , allowrp='1' ,allowhonor='0' , allowdelatc='1' , allowpost='1' , allownewvote='0' , allowvote='1' ,allowhidden='1' ,allowencode='1' ,allowsell='1' ,allowsearch='1' , allowmember='1' , allowmessege='1' ,allowsort='0' ,alloworder='0' , allowupload='1' , allowdownload='1', allowloadrvrc='0' , allownum='10' , edittime='0' , postpertime='10' , searchtime='0', signnum='0' , uploadmoney = '0', ifdefault='1' , allowadmincp='0' , visithide ='0', delatc='0' ,moveatc='0' , copyatc='0' , typeadmin='0' , viewcheck='0' , viewclose='0' , attachper='0' ,delattach='0' , viewip='0' , markable='0' , maxcredit='0'  ,credittype='',			    creditlimit='',	  viewhide='0', postpers='0' , atccheck='0' , replylock='0' , modown='0' , modother='0' , deltpcs='0',upload='1';



DROP TABLE IF EXISTS pw_posts;
CREATE TABLE pw_posts (
pid int(10) unsigned NOT NULL auto_increment,
fid smallint(6) unsigned NOT NULL default '0',
tid mediumint(8) unsigned NOT NULL default '0',
aid TEXT NOT NULL,
author varchar(15) NOT NULL default '',
authorid mediumint(8) unsigned NOT NULL default '0',
icon tinyint(2) NOT NULL default '0',
postdate int(10) unsigned NOT NULL default '0',
subject varchar(130) NOT NULL default '',
userip varchar(15) NOT NULL default '',
ifsign tinyint(1) NOT NULL default '0',
buy varchar(130) NOT NULL default '',
alterinfo varchar(60) NOT NULL default '',
ipfrom varchar(30) NOT NULL default '',
ifmark varchar(255) NOT NULL default '',
ifconvert tinyint(1) NOT NULL default '0',
ifcheck tinyint(1) NOT NULL default '0',
content mediumtext NOT NULL,
PRIMARY KEY  (pid),
KEY fid (fid),
KEY tid (tid,postdate),
KEY authorid (authorid),
KEY postdate (postdate)
);

DROP TABLE IF EXISTS pw_threads;
CREATE TABLE pw_threads (
tid mediumint(8) unsigned NOT NULL auto_increment,
fid smallint(6) NOT NULL default '0',
icon tinyint(2) NOT NULL default '0',
titlefont char(15) NOT NULL default '',
author char(15) NOT NULL default '',
authorid mediumint(8) unsigned NOT NULL default '0',
subject char(130) NOT NULL default '',
ifmark  smallint(6) NOT NULL default '',
ifcheck tinyint(1) NOT NULL default '0',
type tinyint(2) NOT NULL default '0',
postdate int(10) unsigned NOT NULL default '0',
lastpost int(10) unsigned NOT NULL default '0',
lastposter char(15) NOT NULL default '',
hits int(10) NOT NULL default '0',
replies int(10) NOT NULL default '0',
topped tinyint(1) NOT NULL default '0',
locked tinyint(1) NOT NULL default '0',
digest tinyint(1) NOT NULL default '0',
ifupload tinyint(1) NOT NULL default '0',
pollid int(10) NOT NULL default '0',
ifmail tinyint(1) NOT NULL default '0',
PRIMARY KEY  (tid),
KEY lastpost (fid,topped,lastpost),
KEY tid (tid,postdate),
KEY authorid (authorid),
KEY digest (digest),
KEY type (type),
KEY postdate (postdate)
);

DROP TABLE IF EXISTS pw_tmsgs;
CREATE TABLE pw_tmsgs(
id  mediumint(8) unsigned NOT NULL auto_increment,
tid mediumint(8) unsigned NOT NULL,
aid text NOT NULL default '',
userip varchar(15) NOT NULL default '',
ifsign tinyint(1) NOT NULL default '0',
buy text NOT NULL default '',
ipfrom varchar(80) NOT NULL default '',
alterinfo varchar(60) NOT NULL default '',
ifconvert tinyint(1) NOT NULL default '1',
content mediumtext NOT NULL,
ifmark varchar(255) NOT NULL default '',
PRIMARY KEY (id),
key(tid)
);

DROP TABLE IF EXISTS pw_forums;
CREATE TABLE pw_forums (
fid smallint(6) unsigned NOT NULL auto_increment,
fup smallint(6) unsigned NOT NULL default '0',
ifsub tinyint(1) NOT NULL default '0',
childid tinyint(1) NOT NULL default '0',
type enum('category', 'forum', 'sub') NOT NULL default 'forum',
logo char(100) NOT NULL default '',
name char(100) NOT NULL default '',
descrip char(255) NOT NULL,
vieworder tinyint(3) NOT NULL default '0',
forumadmin char(255) NOT NULL,
style char(12) NOT NULL default '',
tpost mediumint(8) unsigned NOT NULL default '0',
topic mediumint(8) unsigned NOT NULL default '0',
article mediumint(8) unsigned NOT NULL default '0',
subtopic smallint(6) unsigned NOT NULL default '0',
lastpost char(135) NOT NULL default '',
allowhtm tinyint(1) NOT NULL default '0',
allowhide tinyint(1) NOT NULL default '1',
allowsell tinyint(1) NOT NULL default '1',
allowencode tinyint(1) NOT NULL default '1',
password char(32) NOT NULL default '',
viewsub tinyint(1) NOT NULL default '0',
allowvisit char(120) NOT NULL,
allowpost char(120) NOT NULL,
allowrp char(120) NOT NULL default '',
allowdownload char(120) NOT NULL,
allowupload char(120) NOT NULL,
f_type char(10) NOT NULL default 'forum',
t_type char(255) NOT NULL default '',
f_score char(50) NOT NULL default '',
f_check tinyint(1) unsigned NOT NULL default '0',
PRIMARY KEY  (fid),
KEY fup (fup),
KEY type (ifsub,vieworder,fup)
);

INSERT INTO pw_forums VALUES('1','0','0','1','category','','PHPwind Board','','0','','','0','0','0','0','',0,'1','1','1','','0','','','','','','','','','0');
INSERT INTO pw_forums VALUES('2','1','0','0','forum','','{#default_forum}','','0','','','0','0','0','0','','0','1','1','1','','0','','','','','','forum','','','0');

DROP TABLE IF EXISTS pw_bbsinfo;
CREATE TABLE pw_bbsinfo(
id smallint(3) unsigned NOT NULL auto_increment,
newmember varchar(15) NOT NULL default '',
totalmember mediumint(8) unsigned NOT NULL default '0',
higholnum smallint(6) unsigned NOT NULL default '0',
higholtime int(10) unsigned NOT NULL default '0',
tdtcontrol int(10) unsigned NOT NULL default '0',
yposts mediumint(8) unsigned NOT NULL default '0',
hposts mediumint(8) unsigned NOT NULL default '0',
hit_tdtime int(10) unsigned NOT NULL default '0',
hit_control tinyint(2) unsigned NOT NULL default '0',
birthcontrol int(10) unsigned NOT NULL default '0',
birthman text NOT NULL,
KEY id (id)
);
INSERT INTO pw_bbsinfo VALUES (1,'',0,0,0,0,0,0,0,0,0,'');

DROP TABLE IF EXISTS pw_schcache;
CREATE TABLE pw_schcache(
sid mediumint(8) unsigned NOT NULL auto_increment,
schline varchar(255) NOT NULL default '',
schtime int(10) unsigned NOT NULL default '0',
total mediumint(8) unsigned NOT NULL default '0',
schedid text NOT NULL,
PRIMARY KEY  (sid)
);

DROP TABLE IF EXISTS pw_config;
CREATE TABLE pw_config(
cid smallint(6) unsigned NOT NULL auto_increment,
db_name varchar(30) NOT NULL default '',
db_value text NOT NULL,
decrip text NOT NULL,
PRIMARY KEY  (cid),
UNIQUE (db_name) 
);
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_hour','20','ͼƬʱ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_http','N','ʹÿ̨ͼƬ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_autochange','0','ڸͼƬ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_bbsifopen','1','̳Ƿ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_whybbsclose','̳... Ⱥ 15','̳... Ⱥ 15');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_bbsname','PHPwind Board','̳');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_bbsurl','http://www.phpwind.net','̳url');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_wwwname','PHPwind Studio','վ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_wwwurl','http://www.phpwind.net','վurl');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_ceoconnect','http://www.phpwind.net/sendemail.php?username=fengyu','ϵԱ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_ceoemail','webmaster@phpwind.com','Աemail');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_newtime','3600','ʱ綨');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_signwindcode','1','ǩwind');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_windpic[\'pic\']','1','ǩ wind IMG');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_windpic[\'flash\']','0','ǩ wind Flash');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_cvtime','0','ʱת');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_perpage','20','̳бÿҳʾ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_readperpage','10','Ķһʱÿҳʾ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_replysendmail','0','±ظǷʼ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_postmax','500000','');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_windpost[\'pic\']','1',' wind IMG');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_windpost[\'flash\']','0',' wind Flash');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_indexnotice','1','Ƿʾ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_showreplynum','5','鿴ظʾ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_windreply[\'pic\']','1','ظʾ wind IMG');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_windreply[\'flash\']','0','ظʾ wind Flash');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_dtreplyrvrc','1','ظ10õ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_refreshtime','0','ˢʱ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_onlinetime','3600','ʱ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_footertime','1','Ƿʾʱ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_threadonline','1','Ƿʾְ߻Ա');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_uploadmaxsize','2048000','ϴС');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_uploadfiletype','gif jpg rar txt zip swf jqf','ϴļ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_attachdir','0','');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_attachnum','4','һϴ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_windpost[\'mpeg\']','1',' mpeg');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_windpost[\'iframe\']','0','  iframe');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_dtpostrvrc','10','һõ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_dtpostmoney','5','һõƸ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_dtjhrvrc','50','һε');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_dtjhmoney','5','һεòƸ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_onlinelmt','5000','');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_dtdelrvrc','10','ɾһ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_dtdelrprvrc','10','ɾʮظ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_dtdelmoney','5','ɾһٲƸ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_indexonline','1','Ƿҳʾ߻Ա');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_moneyname','RMB','̳Ƹ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_ifjump','1','ǷʹԶת');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_regpopup','0','Ƿʾٵ½ע');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_ifonlinetime','0','¼Աʱ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_showguest','0','Ƿʾο');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_recycle','0','վID');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_indexshowbirth','0','ǷʾջԱ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_obstart','1','ǷGZIP');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_indexlink','1','Ƿʾ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_indexmqshare','0','Ƿ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_defaultstyle','wind','̳ĬϷ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_ckpath','/','COOKIEЧĿ¼');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_ckdomain','','COOKIEЧ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_windreadable','1','ǷοͲ鿴');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_schpernum','10000','ÿ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_threademotion','0','ְӵʾ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_todaypost','0','Ƿʾշ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_threadshowpost','0','ʾٷ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_indexfmlogo','2','ԶҳͼƬlogo');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_autoimg','1','Զʾǰ̨ͼƬ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_postmin','3','ÿƪµС');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_selcount','15','ͶƱѡ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_ipfrom','1','ǷʾIPԴ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_dtreplymoney','1','ظһӵĲƸ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_ipcheck','0','ip֤200');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_today','0','ͳƽյûԱ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_postallowtime','0','עûʱ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_showonline','1','Ƿread.phpҳʾû');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_ipban','','IPֹ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_ifcheck','1','ҪͨԱ֤ʾ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_ads','1','̳Ƿ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_hithour','0','ӳٸ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_upgrade','1','Աʽ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_lp','0','Ż');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_topped','0','ö');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_msgsound','0','Ϣѿ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_datefm','Y-m-d H:i','ʱʽ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_lgck','1','¼֤');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_bfn','index.php','');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_hfn','index.php','');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_cfn','index.php','');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_showgroup',',3,4,5,16,','');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_upload','1	200	180	20480','ϴͷ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_allowupload','1','ϴ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('db_adminshow','0','');

INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_allowregister','1','ûע');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_reg','1','עʱʾЭ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_regdetail','1','עʱʾϸעϢ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_emailcheck','0','ûעͨemailû');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_regminname','3','û̳');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_regmaxname','12','û');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_regsendmsg','0','ûעᷢͶϢ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_regrvrc','10','ûעʼ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_regmoney','0','ûעʼƸ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_ifcheck','0','ûעǷҪ֤');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_allowsameip','Y','ǷͬһIP24Сʱֻעһ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_welcomemsg','лעᣬӭĵϣܸ֣෢԰ɣվȫԱʺ<br />עΪ:$rg_name<br />ñ<br />뾡ɾϢ͵.','ӭϢ');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_rgpermit','ûʱʾѾͬر¡ <br /><br />ӭ뱾վμӽۣվΪ̳ΪάϹȶԾ <br /><br />һñվΣҰȫй¶ܣַἯĺ͹ĺϷȨ棬ñվƺʹϢ<br /> һɿܡƻܷͷɡʵʩģ<br />ɿ߸ȨƷƶȵģ<br />ɿѹҡƻͳһģ<br />ģɿޡӣƻŽģ<br />壩ʵɢҥԣģ<br />⽨šࡢɫ顢Ĳɱֲģ<br />ߣȻ˻ʵ̰˵ģ߽⹥ģ<br />ˣ𺦹һģ<br />ţΥܷͷģ<br />ʮҵΪġ<br /><br />أԼۺΪ<br />ֹûʱʹرվĴʻ㣬Ǵ衢ٰҥĻ京ĸԽעûǻὫɾ<br />ġֹκηʽԱվиƻΪ<br />塢ΥطɷΪվŲĵ¼̳Ϣ¼ɣҪʱǻصĹҹṩϢ ','ע');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_rglower','0','עִСд');
INSERT INTO pw_config(db_name,db_value,decrip) VALUES('rg_banname',',Ա,admin,','û');

DROP TABLE IF EXISTS pw_styles;
CREATE TABLE pw_styles(
sid smallint(6) unsigned NOT NULL auto_increment,
name char(50) NOT NULL default '',
stylepath char(50) NOT NULL default '',
tplpath char(50) NOT NULL default '',
yeyestyle char(3) NOT NULL default '',
tablecolor char(7) NOT NULL default '',
tablewidth char(4) NOT NULL default '',
mtablewidth char(4) NOT NULL default '',
forumcolorone char(7) NOT NULL default '',
forumcolortwo char(7) NOT NULL default '',
threadcolorone char(7) NOT NULL default '',
threadcolortwo char(7) NOT NULL default '',
readcolorone char(7) NOT NULL default '',
readcolortwo char(7) NOT NULL default '',
maincolor char(7) NOT NULL default '',
PRIMARY KEY  (sid)
);
INSERT INTO pw_styles ( sid ,name, stylepath , tplpath , yeyestyle , tablecolor , tablewidth , mtablewidth , forumcolorone , forumcolortwo , threadcolorone , threadcolortwo , readcolorone , readcolortwo , maincolor )
VALUES ('', 'wind','wind', 'wind', 'no', '#E5E3E3', '98%', '800', '#FFFBFF', '#FFFBFF', '#FFFBFF', '#FFFBFF', '#FFFBFF', '#FFFFFF', '#F3F3F3');

DROP TABLE IF EXISTS pw_announce;
CREATE TABLE pw_announce(
aid smallint(6) unsigned NOT NULL auto_increment,
fid smallint(6)  NOT NULL default '-1',
author varchar(15) NOT NULL default '',
startdate varchar(15) NOT NULL default '',
enddate varchar(15) NOT NULL default '',
subject  varchar(130) NOT NULL default '',
content mediumtext NOT NULL,
PRIMARY KEY (aid),
KEY (startdate)
);

DROP TABLE IF EXISTS pw_sharelinks;
CREATE TABLE pw_sharelinks(
sid smallint(6) unsigned NOT NULL auto_increment,
threadorder tinyint(3) NOT NULL default '0',
name char(100) NOT NULL default '',
url char(100) NOT NULL default '',
descrip char(200) NOT NULL default '0',
logo  char(100) NOT NULL default '',
PRIMARY KEY (sid)
);
INSERT INTO pw_sharelinks (sid ,threadorder ,name ,url ,descrip ,logo ) VALUES ('', '0', 'PHPwind Board', 'http://www.phpwind.net', 'PHPwindٷ̳', 'logo.gif');

DROP TABLE IF EXISTS pw_attachs;
CREATE TABLE pw_attachs(
aid mediumint(8) unsigned NOT NULL auto_increment,
fid smallint(6) unsigned NOT NULL default '0',
name char(80) NOT NULL default '0',
type char(30) NOT NULL default '',
size int(10) unsigned NOT NULL default '0',
attachurl char(80) NOT NULL default '0',
hits smallint(6) unsigned NOT NULL default '0',
needrvrc smallint(6) unsigned NOT NULL default '0',
PRIMARY KEY (aid)
);

DROP TABLE IF EXISTS pw_polls;
CREATE TABLE pw_polls(
pollid int(10) unsigned NOT NULL auto_increment,
voteopts mediumtext NOT NULL,
PRIMARY KEY (pollid)
);

DROP TABLE IF EXISTS pw_actions;
CREATE TABLE pw_actions(
id smallint(6) unsigned NOT NULL auto_increment,
images varchar(15) NOT NULL default '',
name varchar(15) NOT NULL default '',
descrip varchar(100) NOT NULL default '',
PRIMARY KEY (id)
);

INSERT INTO pw_actions(id,images,name,descrip) VALUES ('', '1.gif', '{#action_1}', '{#act_1}');
INSERT INTO pw_actions(id,images,name,descrip) VALUES ('', '2.gif', '{#action_2}', '{#act_2}');
INSERT INTO pw_actions(id,images,name,descrip) VALUES ('', '3.gif', '{#action_3}', '{#act_3}');
INSERT INTO pw_actions(id,images,name,descrip) VALUES ('', '4.gif', '{#action_4}', '{#act_4}');
INSERT INTO pw_actions(id,images,name,descrip) VALUES ('', '5.gif', '{#action_5}', '{#act_5}');

DROP TABLE IF EXISTS pw_wordfb;
CREATE TABLE pw_wordfb (
id smallint(6) unsigned NOT NULL auto_increment,
word VARCHAR(100) NOT NULL ,
wordreplace VARCHAR(100) NOT NULL ,
PRIMARY KEY (id)
);

DROP TABLE IF EXISTS pw_favors;
CREATE TABLE pw_favors (
id mediumint(8) unsigned NOT NULL auto_increment,
uid mediumint(8) unsigned NOT NULL default '1',
tids text NOT NULL ,
PRIMARY KEY (id),
KEY uid (uid)
);

DROP TABLE IF EXISTS pw_memberinfo;
CREATE TABLE pw_memberinfo (
id mediumint(8) unsigned NOT NULL auto_increment,
uid mediumint(8) unsigned NOT NULL default '1',
adsips mediumtext NOT NULL,
credit varchar(50) NOT NULL ,
deposit INT( 10 ) NOT NULL ,
startdate INT( 10 ) NOT NULL ,
ddeposit INT( 10 ) NOT NULL ,
dstartdate INT( 10 ) NOT NULL,
PRIMARY KEY (id),
KEY uid (uid)
);

DROP TABLE IF EXISTS pw_credits;
CREATE TABLE pw_credits (
cid TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
name CHAR(30) NOT NULL ,
unit CHAR(30) NOT NULL ,
description CHAR(255) NOT NULL ,
PRIMARY KEY (cid) 
);
INSERT INTO pw_credits VALUES ('1', '{#credit_name}','{#credit_unit}', '{#credit_descrip}');

DROP TABLE IF EXISTS pw_membercredit;
CREATE TABLE pw_membercredit (
uid mediumint(8) unsigned NOT NULL default '0',
cid TINYINT( 3 ) NOT NULL ,
value int(10) NOT NULL default '0',
KEY (uid,cid)
);

DROP TABLE IF EXISTS pw_adminset;
CREATE TABLE pw_adminset (
gid TINYINT( 3 ) UNSIGNED NOT NULL ,
value TEXT NOT NULL ,
PRIMARY KEY ( gid )
);

INSERT INTO pw_adminset VALUES ('3','a:38:{s:8:"settings";s:1:"0";s:11:"updatecache";s:1:"1";s:9:"postcache";s:1:"1";s:8:"creathtm";s:1:"1";s:6:"credit";s:1:"1";s:6:"bakout";s:1:"1";s:5:"bakin";s:1:"1";s:6:"repair";s:1:"1";s:8:"setforum";s:1:"1";s:10:"uniteforum";s:1:"1";s:9:"setstyles";s:1:"1";s:7:"setuser";s:1:"1";s:9:"userstats";s:1:"1";s:7:"upgrade";s:1:"1";s:9:"editgroup";s:1:"1";s:5:"level";s:1:"1";s:7:"banuser";s:1:"1";s:7:"viewban";s:1:"1";s:5:"ipban";s:1:"1";s:6:"setbwd";s:1:"1";s:8:"atccheck";s:1:"1";s:12:"announcement";s:1:"1";s:8:"mailuser";s:1:"1";s:8:"send_msg";s:1:"1";s:8:"giveuser";s:1:"1";s:7:"article";s:1:"1";s:6:"member";s:1:"1";s:7:"message";s:1:"1";s:10:"attachment";s:1:"1";s:11:"attachstats";s:1:"1";s:11:"attachrenew";s:1:"1";s:8:"adminlog";s:1:"1";s:8:"forumlog";s:1:"1";s:9:"creditlog";s:1:"1";s:7:"userlog";s:1:"1";s:6:"setads";s:1:"1";s:5:"share";s:1:"1";s:8:"viewtody";s:1:"1";}');
INSERT INTO pw_adminset VALUES ('4','a:38:{s:8:"settings";s:1:"0";s:11:"updatecache";s:1:"1";s:9:"postcache";s:1:"1";s:8:"creathtm";s:1:"0";s:6:"credit";s:1:"0";s:6:"bakout";s:1:"0";s:5:"bakin";s:1:"0";s:6:"repair";s:1:"0";s:8:"setforum";s:1:"0";s:10:"uniteforum";s:1:"0";s:9:"setstyles";s:1:"0";s:7:"setuser";s:1:"1";s:9:"userstats";s:1:"1";s:7:"upgrade";s:1:"1";s:9:"editgroup";s:1:"1";s:5:"level";s:1:"1";s:7:"banuser";s:1:"1";s:7:"viewban";s:1:"1";s:5:"ipban";s:1:"1";s:6:"setbwd";s:1:"1";s:8:"atccheck";s:1:"1";s:12:"announcement";s:1:"1";s:8:"mailuser";s:1:"1";s:8:"send_msg";s:1:"1";s:8:"giveuser";s:1:"1";s:7:"article";s:1:"1";s:6:"member";s:1:"1";s:7:"message";s:1:"1";s:10:"attachment";s:1:"1";s:11:"attachstats";s:1:"1";s:11:"attachrenew";s:1:"1";s:8:"adminlog";s:1:"1";s:8:"forumlog";s:1:"1";s:9:"creditlog";s:1:"1";s:7:"userlog";s:1:"1";s:6:"setads";s:1:"1";s:5:"share";s:1:"1";s:8:"viewtody";s:1:"1";}');
INSERT INTO pw_adminset VALUES ('5','a:38:{s:8:"settings";s:1:"0";s:11:"updatecache";s:1:"0";s:9:"postcache";s:1:"0";s:8:"creathtm";s:1:"0";s:6:"credit";s:1:"0";s:6:"bakout";s:1:"0";s:5:"bakin";s:1:"0";s:6:"repair";s:1:"0";s:8:"setforum";s:1:"0";s:10:"uniteforum";s:1:"0";s:9:"setstyles";s:1:"0";s:7:"setuser";s:1:"0";s:9:"userstats";s:1:"0";s:7:"upgrade";s:1:"0";s:9:"editgroup";s:1:"0";s:5:"level";s:1:"0";s:7:"banuser";s:1:"1";s:7:"viewban";s:1:"0";s:5:"ipban";s:1:"1";s:6:"setbwd";s:1:"0";s:8:"atccheck";s:1:"0";s:12:"announcement";s:1:"1";s:8:"mailuser";s:1:"0";s:8:"send_msg";s:1:"0";s:8:"giveuser";s:1:"0";s:7:"article";s:1:"1";s:6:"member";s:1:"1";s:7:"message";s:1:"1";s:10:"attachment";s:1:"0";s:11:"attachstats";s:1:"0";s:11:"attachrenew";s:1:"0";s:8:"adminlog";s:1:"0";s:8:"forumlog";s:1:"1";s:9:"creditlog";s:1:"0";s:7:"userlog";s:1:"0";s:6:"setads";s:1:"0";s:5:"share";s:1:"0";s:8:"viewtody";s:1:"0";}');

DROP TABLE IF EXISTS pw_banuser;
CREATE TABLE pw_banuser (
uid MEDIUMINT( 8 ) UNSIGNED NOT NULL ,
type TINYINT( 1 ) NOT NULL ,
startdate INT( 10 ) NOT NULL ,
days INT( 4 ) NOT NULL ,
admin CHAR( 15 ) NOT NULL,
reason CHAR( 80 ) NOT NULL,
PRIMARY KEY  (uid)
);


DROP TABLE IF EXISTS pw_smiles;
CREATE TABLE pw_smiles (
id SMALLINT( 6 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
image VARCHAR( 15 ) NOT NULL ,
PRIMARY KEY (id) 
);
INSERT INTO pw_smiles VALUES ('', 'smile.gif');
INSERT INTO pw_smiles VALUES ('', 'mrgreen.gif');
INSERT INTO pw_smiles VALUES ('', 'question.gif');
INSERT INTO pw_smiles VALUES ('', 'wink.gif');
INSERT INTO pw_smiles VALUES ('', 'redface.gif');
INSERT INTO pw_smiles VALUES ('', 'sad.gif');
INSERT INTO pw_smiles VALUES ('', 'cool.gif');
INSERT INTO pw_smiles VALUES ('', 'crazy.gif');

DROP TABLE IF EXISTS pw_hack;
CREATE TABLE pw_hack (
hk_name VARCHAR( 30 ) NOT NULL ,
hk_value TEXT NOT NULL ,
decrip TEXT NOT NULL ,
PRIMARY KEY ( hk_name ) 
);

INSERT INTO pw_hack(hk_name,hk_value,decrip) VALUES('bk_A','a:1:{s:10:"rvrc_money";a:6:{i:0;s:4:"";i:1;s:4:"Ǯ";i:2;s:1:"2";i:3;s:1:"3";i:4;s:1:"1";i:5;i:1;}}','');
INSERT INTO pw_hack(hk_name,hk_value,decrip) VALUES('bk_ddate','10','');
INSERT INTO pw_hack(hk_name,hk_value,decrip) VALUES('bk_drate','10','');
INSERT INTO pw_hack(hk_name,hk_value,decrip) VALUES('bk_num','10','');
INSERT INTO pw_hack(hk_name,hk_value,decrip) VALUES('bk_open','1','');
INSERT INTO pw_hack(hk_name,hk_value,decrip) VALUES('bk_per','5','');
INSERT INTO pw_hack(hk_name,hk_value,decrip) VALUES('bk_rate','5','');
INSERT INTO pw_hack(hk_name,hk_value,decrip) VALUES('bk_timelimit','2','');
INSERT INTO pw_hack(hk_name,hk_value,decrip) VALUES('bk_virelimit','10','');
INSERT INTO pw_hack(hk_name,hk_value,decrip) VALUES('bk_virement','1','');
INSERT INTO pw_hack(hk_name,hk_value,decrip) VALUES('bk_virerate','10','');
